Changeset 2639


Ignore:
Timestamp:
Nov 20, 2012 10:30:18 AM (7 years ago)
Author:
stefan
Message:

support glpk 4.47 now

Location:
ThirdParty/Glpk/trunk
Files:
9 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Glpk/trunk/INSTALL.Glpk

    r1917 r2639  
    1414You may download
    1515
    16 ftp://ftp.gnu.org/gnu/glpk/glpk-4.45.tar.gz
     16ftp://ftp.gnu.org/gnu/glpk/glpk-4.47.tar.gz
    1717
    1818and unpack it in this directory:
    1919
    20 gunzip glpk-4.45.tar.gz
    21 tar xf glpk-4.45.tar
     20gunzip glpk-4.47.tar.gz
     21tar xf glpk-4.47.tar
    2222
    2323Then you need to rename the directory
    24   glpk-4.45
     24  glpk-4.47
    2525into
    2626  glpk
  • ThirdParty/Glpk/trunk/Makefile.am

    r2118 r2639  
    3333$(GLPKDIR)/src/glpapi18.c \
    3434$(GLPKDIR)/src/glpapi19.c \
     35$(GLPKDIR)/src/glpapi20.c \
     36$(GLPKDIR)/src/glpapi21.c \
    3537$(GLPKDIR)/src/glpavl.c \
    3638$(GLPKDIR)/src/glpbfd.c \
     
    9698$(GLPKDIR)/src/glpnpp04.c \
    9799$(GLPKDIR)/src/glpnpp05.c \
     100$(GLPKDIR)/src/glpnpp06.c \
    98101$(GLPKDIR)/src/glpqmd.c \
    99102$(GLPKDIR)/src/glprgr.c \
     
    121124$(GLPKDIR)/src/amd/amd_preprocess.c \
    122125$(GLPKDIR)/src/amd/amd_valid.c \
    123 $(GLPKDIR)/src/colamd/colamd.c
     126$(GLPKDIR)/src/colamd/colamd.c \
     127$(GLPKDIR)/src/minisat/minisat.c \
     128$(GLPKDIR)/src/zlib/adler32.c \
     129$(GLPKDIR)/src/zlib/compress.c \
     130$(GLPKDIR)/src/zlib/crc32.c \
     131$(GLPKDIR)/src/zlib/deflate.c \
     132$(GLPKDIR)/src/zlib/gzclose.c \
     133$(GLPKDIR)/src/zlib/gzlib.c \
     134$(GLPKDIR)/src/zlib/gzread.c \
     135$(GLPKDIR)/src/zlib/gzwrite.c \
     136$(GLPKDIR)/src/zlib/infback.c \
     137$(GLPKDIR)/src/zlib/inffast.c \
     138$(GLPKDIR)/src/zlib/inflate.c \
     139$(GLPKDIR)/src/zlib/inftrees.c \
     140$(GLPKDIR)/src/zlib/trees.c \
     141$(GLPKDIR)/src/zlib/uncompr.c \
     142$(GLPKDIR)/src/zlib/zio.c \
     143$(GLPKDIR)/src/zlib/zutil.c
    124144
    125145DEFAULT_INCLUDES = -I. -I`$(CYGPATH_W) $(srcdir)`
    126146
    127 AM_CPPFLAGS = -I`$(CYGPATH_W) $(srcdir)/$(GLPKDIR)/include` \
     147AM_CPPFLAGS = \
    128148  -I`$(CYGPATH_W) $(srcdir)/$(GLPKDIR)/src` \
    129149  -I`$(CYGPATH_W) $(srcdir)/$(GLPKDIR)/src/amd` \
    130150  -I`$(CYGPATH_W) $(srcdir)/$(GLPKDIR)/src/colamd` \
     151  -I`$(CYGPATH_W) $(srcdir)/$(GLPKDIR)/src/minisat` \
    131152  -I$(GLPKDIR)
    132153
     
    134155
    135156thirdpartyincludedir = $(includedir)/coin/ThirdParty
    136 thirdpartyinclude_HEADERS = $(GLPKDIR)/include/glpk.h $(GLPKDIR)/src/amd/amd.h
     157thirdpartyinclude_HEADERS = $(GLPKDIR)/src/glpk.h $(GLPKDIR)/src/amd/amd.h
    137158
    138159pkgconfiglibdir = $(libdir)/pkgconfig
  • ThirdParty/Glpk/trunk/Makefile.in

    r2118 r2639  
    8787        glpapi09.lo glpapi10.lo glpapi11.lo glpapi12.lo glpapi13.lo \
    8888        glpapi14.lo glpapi15.lo glpapi16.lo glpapi17.lo glpapi18.lo \
    89         glpapi19.lo glpavl.lo glpbfd.lo glpbfx.lo glpcpx.lo glpdmp.lo \
    90         glpdmx.lo glpenv01.lo glpenv02.lo glpenv03.lo glpenv04.lo \
    91         glpenv05.lo glpenv06.lo glpenv07.lo glpenv08.lo glpfhv.lo \
    92         glpgmp.lo glphbm.lo glpini01.lo glpini02.lo glpios01.lo \
    93         glpios02.lo glpios03.lo glpios04.lo glpios05.lo glpios06.lo \
    94         glpios07.lo glpios08.lo glpios09.lo glpios10.lo glpios11.lo \
    95         glpios12.lo glpipm.lo glplib01.lo glplib02.lo glplib03.lo \
    96         glplpf.lo glplpx01.lo glplpx02.lo glplpx03.lo glpluf.lo \
    97         glplux.lo glpmat.lo glpmpl01.lo glpmpl02.lo glpmpl03.lo \
    98         glpmpl04.lo glpmpl05.lo glpmpl06.lo glpmps.lo glpnet01.lo \
    99         glpnet02.lo glpnet03.lo glpnet04.lo glpnet05.lo glpnet06.lo \
    100         glpnet07.lo glpnet08.lo glpnet09.lo glpnpp01.lo glpnpp02.lo \
    101         glpnpp03.lo glpnpp04.lo glpnpp05.lo glpqmd.lo glprgr.lo \
    102         glprng01.lo glprng02.lo glpscf.lo glpscl.lo glpsdf.lo \
    103         glpspm.lo glpspx01.lo glpspx02.lo glpsql.lo glpssx01.lo \
    104         glpssx02.lo amd_1.lo amd_2.lo amd_aat.lo amd_control.lo \
    105         amd_defaults.lo amd_dump.lo amd_info.lo amd_order.lo \
    106         amd_postorder.lo amd_post_tree.lo amd_preprocess.lo \
    107         amd_valid.lo colamd.lo
     89        glpapi19.lo glpapi20.lo glpapi21.lo glpavl.lo glpbfd.lo \
     90        glpbfx.lo glpcpx.lo glpdmp.lo glpdmx.lo glpenv01.lo \
     91        glpenv02.lo glpenv03.lo glpenv04.lo glpenv05.lo glpenv06.lo \
     92        glpenv07.lo glpenv08.lo glpfhv.lo glpgmp.lo glphbm.lo \
     93        glpini01.lo glpini02.lo glpios01.lo glpios02.lo glpios03.lo \
     94        glpios04.lo glpios05.lo glpios06.lo glpios07.lo glpios08.lo \
     95        glpios09.lo glpios10.lo glpios11.lo glpios12.lo glpipm.lo \
     96        glplib01.lo glplib02.lo glplib03.lo glplpf.lo glplpx01.lo \
     97        glplpx02.lo glplpx03.lo glpluf.lo glplux.lo glpmat.lo \
     98        glpmpl01.lo glpmpl02.lo glpmpl03.lo glpmpl04.lo glpmpl05.lo \
     99        glpmpl06.lo glpmps.lo glpnet01.lo glpnet02.lo glpnet03.lo \
     100        glpnet04.lo glpnet05.lo glpnet06.lo glpnet07.lo glpnet08.lo \
     101        glpnet09.lo glpnpp01.lo glpnpp02.lo glpnpp03.lo glpnpp04.lo \
     102        glpnpp05.lo glpnpp06.lo glpqmd.lo glprgr.lo glprng01.lo \
     103        glprng02.lo glpscf.lo glpscl.lo glpsdf.lo glpspm.lo \
     104        glpspx01.lo glpspx02.lo glpsql.lo glpssx01.lo glpssx02.lo \
     105        amd_1.lo amd_2.lo amd_aat.lo amd_control.lo amd_defaults.lo \
     106        amd_dump.lo amd_info.lo amd_order.lo amd_postorder.lo \
     107        amd_post_tree.lo amd_preprocess.lo amd_valid.lo colamd.lo \
     108        minisat.lo adler32.lo compress.lo crc32.lo deflate.lo \
     109        gzclose.lo gzlib.lo gzread.lo gzwrite.lo infback.lo inffast.lo \
     110        inflate.lo inftrees.lo trees.lo uncompr.lo zio.lo zutil.lo
    108111libcoinglpk_la_OBJECTS = $(am_libcoinglpk_la_OBJECTS)
    109112depcomp = $(SHELL) $(top_srcdir)/depcomp
     
    159162COIN_HAS_PKGCONFIG_FALSE = @COIN_HAS_PKGCONFIG_FALSE@
    160163COIN_HAS_PKGCONFIG_TRUE = @COIN_HAS_PKGCONFIG_TRUE@
    161 COIN_HAS_ZLIB_FALSE = @COIN_HAS_ZLIB_FALSE@
    162 COIN_HAS_ZLIB_TRUE = @COIN_HAS_ZLIB_TRUE@
    163164COIN_PKG_CONFIG_PATH = @COIN_PKG_CONFIG_PATH@
    164165COIN_PKG_CONFIG_PATH_UNINSTALLED = @COIN_PKG_CONFIG_PATH_UNINSTALLED@
     
    301302$(GLPKDIR)/src/glpapi18.c \
    302303$(GLPKDIR)/src/glpapi19.c \
     304$(GLPKDIR)/src/glpapi20.c \
     305$(GLPKDIR)/src/glpapi21.c \
    303306$(GLPKDIR)/src/glpavl.c \
    304307$(GLPKDIR)/src/glpbfd.c \
     
    364367$(GLPKDIR)/src/glpnpp04.c \
    365368$(GLPKDIR)/src/glpnpp05.c \
     369$(GLPKDIR)/src/glpnpp06.c \
    366370$(GLPKDIR)/src/glpqmd.c \
    367371$(GLPKDIR)/src/glprgr.c \
     
    389393$(GLPKDIR)/src/amd/amd_preprocess.c \
    390394$(GLPKDIR)/src/amd/amd_valid.c \
    391 $(GLPKDIR)/src/colamd/colamd.c
     395$(GLPKDIR)/src/colamd/colamd.c \
     396$(GLPKDIR)/src/minisat/minisat.c \
     397$(GLPKDIR)/src/zlib/adler32.c \
     398$(GLPKDIR)/src/zlib/compress.c \
     399$(GLPKDIR)/src/zlib/crc32.c \
     400$(GLPKDIR)/src/zlib/deflate.c \
     401$(GLPKDIR)/src/zlib/gzclose.c \
     402$(GLPKDIR)/src/zlib/gzlib.c \
     403$(GLPKDIR)/src/zlib/gzread.c \
     404$(GLPKDIR)/src/zlib/gzwrite.c \
     405$(GLPKDIR)/src/zlib/infback.c \
     406$(GLPKDIR)/src/zlib/inffast.c \
     407$(GLPKDIR)/src/zlib/inflate.c \
     408$(GLPKDIR)/src/zlib/inftrees.c \
     409$(GLPKDIR)/src/zlib/trees.c \
     410$(GLPKDIR)/src/zlib/uncompr.c \
     411$(GLPKDIR)/src/zlib/zio.c \
     412$(GLPKDIR)/src/zlib/zutil.c
    392413
    393414DEFAULT_INCLUDES = -I. -I`$(CYGPATH_W) $(srcdir)`
    394 AM_CPPFLAGS = -I`$(CYGPATH_W) $(srcdir)/$(GLPKDIR)/include` \
     415AM_CPPFLAGS = \
    395416  -I`$(CYGPATH_W) $(srcdir)/$(GLPKDIR)/src` \
    396417  -I`$(CYGPATH_W) $(srcdir)/$(GLPKDIR)/src/amd` \
    397418  -I`$(CYGPATH_W) $(srcdir)/$(GLPKDIR)/src/colamd` \
     419  -I`$(CYGPATH_W) $(srcdir)/$(GLPKDIR)/src/minisat` \
    398420  -I$(GLPKDIR)
    399421
    400422libcoinglpk_la_LDFLAGS = $(LT_LDFLAGS)
    401423thirdpartyincludedir = $(includedir)/coin/ThirdParty
    402 thirdpartyinclude_HEADERS = $(GLPKDIR)/include/glpk.h $(GLPKDIR)/src/amd/amd.h
     424thirdpartyinclude_HEADERS = $(GLPKDIR)/src/glpk.h $(GLPKDIR)/src/amd/amd.h
    403425pkgconfiglibdir = $(libdir)/pkgconfig
    404426pkgconfiglib_DATA = coinglpk.pc
     
    508530        -rm -f *.tab.c
    509531
     532@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/adler32.Plo@am__quote@
    510533@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/amd_1.Plo@am__quote@
    511534@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/amd_2.Plo@am__quote@
     
    521544@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/amd_valid.Plo@am__quote@
    522545@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/colamd.Plo@am__quote@
     546@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/compress.Plo@am__quote@
     547@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/crc32.Plo@am__quote@
     548@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/deflate.Plo@am__quote@
    523549@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpapi01.Plo@am__quote@
    524550@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpapi02.Plo@am__quote@
     
    540566@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpapi18.Plo@am__quote@
    541567@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpapi19.Plo@am__quote@
     568@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpapi20.Plo@am__quote@
     569@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpapi21.Plo@am__quote@
    542570@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpavl.Plo@am__quote@
    543571@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpbfd.Plo@am__quote@
     
    603631@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpnpp04.Plo@am__quote@
    604632@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpnpp05.Plo@am__quote@
     633@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpnpp06.Plo@am__quote@
    605634@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpqmd.Plo@am__quote@
    606635@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glprgr.Plo@am__quote@
     
    616645@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpssx01.Plo@am__quote@
    617646@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpssx02.Plo@am__quote@
     647@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gzclose.Plo@am__quote@
     648@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gzlib.Plo@am__quote@
     649@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gzread.Plo@am__quote@
     650@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gzwrite.Plo@am__quote@
     651@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/infback.Plo@am__quote@
     652@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/inffast.Plo@am__quote@
     653@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/inflate.Plo@am__quote@
     654@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/inftrees.Plo@am__quote@
     655@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/minisat.Plo@am__quote@
     656@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/trees.Plo@am__quote@
     657@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/uncompr.Plo@am__quote@
     658@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/zio.Plo@am__quote@
     659@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/zutil.Plo@am__quote@
    618660
    619661.c.o:
     
    771813@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpapi19.lo `test -f '$(GLPKDIR)/src/glpapi19.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpapi19.c
    772814
     815glpapi20.lo: $(GLPKDIR)/src/glpapi20.c
     816@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpapi20.lo -MD -MP -MF "$(DEPDIR)/glpapi20.Tpo" -c -o glpapi20.lo `test -f '$(GLPKDIR)/src/glpapi20.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpapi20.c; \
     817@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpapi20.Tpo" "$(DEPDIR)/glpapi20.Plo"; else rm -f "$(DEPDIR)/glpapi20.Tpo"; exit 1; fi
     818@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpapi20.c' object='glpapi20.lo' libtool=yes @AMDEPBACKSLASH@
     819@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     820@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpapi20.lo `test -f '$(GLPKDIR)/src/glpapi20.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpapi20.c
     821
     822glpapi21.lo: $(GLPKDIR)/src/glpapi21.c
     823@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpapi21.lo -MD -MP -MF "$(DEPDIR)/glpapi21.Tpo" -c -o glpapi21.lo `test -f '$(GLPKDIR)/src/glpapi21.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpapi21.c; \
     824@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpapi21.Tpo" "$(DEPDIR)/glpapi21.Plo"; else rm -f "$(DEPDIR)/glpapi21.Tpo"; exit 1; fi
     825@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpapi21.c' object='glpapi21.lo' libtool=yes @AMDEPBACKSLASH@
     826@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     827@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpapi21.lo `test -f '$(GLPKDIR)/src/glpapi21.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpapi21.c
     828
    773829glpavl.lo: $(GLPKDIR)/src/glpavl.c
    774830@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpavl.lo -MD -MP -MF "$(DEPDIR)/glpavl.Tpo" -c -o glpavl.lo `test -f '$(GLPKDIR)/src/glpavl.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpavl.c; \
     
    12121268@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpnpp05.lo `test -f '$(GLPKDIR)/src/glpnpp05.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpnpp05.c
    12131269
     1270glpnpp06.lo: $(GLPKDIR)/src/glpnpp06.c
     1271@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpnpp06.lo -MD -MP -MF "$(DEPDIR)/glpnpp06.Tpo" -c -o glpnpp06.lo `test -f '$(GLPKDIR)/src/glpnpp06.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpnpp06.c; \
     1272@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpnpp06.Tpo" "$(DEPDIR)/glpnpp06.Plo"; else rm -f "$(DEPDIR)/glpnpp06.Tpo"; exit 1; fi
     1273@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpnpp06.c' object='glpnpp06.lo' libtool=yes @AMDEPBACKSLASH@
     1274@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     1275@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpnpp06.lo `test -f '$(GLPKDIR)/src/glpnpp06.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpnpp06.c
     1276
    12141277glpqmd.lo: $(GLPKDIR)/src/glpqmd.c
    12151278@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpqmd.lo -MD -MP -MF "$(DEPDIR)/glpqmd.Tpo" -c -o glpqmd.lo `test -f '$(GLPKDIR)/src/glpqmd.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpqmd.c; \
     
    13931456@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    13941457@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o colamd.lo `test -f '$(GLPKDIR)/src/colamd/colamd.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/colamd/colamd.c
     1458
     1459minisat.lo: $(GLPKDIR)/src/minisat/minisat.c
     1460@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT minisat.lo -MD -MP -MF "$(DEPDIR)/minisat.Tpo" -c -o minisat.lo `test -f '$(GLPKDIR)/src/minisat/minisat.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/minisat/minisat.c; \
     1461@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/minisat.Tpo" "$(DEPDIR)/minisat.Plo"; else rm -f "$(DEPDIR)/minisat.Tpo"; exit 1; fi
     1462@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/minisat/minisat.c' object='minisat.lo' libtool=yes @AMDEPBACKSLASH@
     1463@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     1464@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o minisat.lo `test -f '$(GLPKDIR)/src/minisat/minisat.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/minisat/minisat.c
     1465
     1466adler32.lo: $(GLPKDIR)/src/zlib/adler32.c
     1467@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT adler32.lo -MD -MP -MF "$(DEPDIR)/adler32.Tpo" -c -o adler32.lo `test -f '$(GLPKDIR)/src/zlib/adler32.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/zlib/adler32.c; \
     1468@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/adler32.Tpo" "$(DEPDIR)/adler32.Plo"; else rm -f "$(DEPDIR)/adler32.Tpo"; exit 1; fi
     1469@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/zlib/adler32.c' object='adler32.lo' libtool=yes @AMDEPBACKSLASH@
     1470@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     1471@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o adler32.lo `test -f '$(GLPKDIR)/src/zlib/adler32.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/zlib/adler32.c
     1472
     1473compress.lo: $(GLPKDIR)/src/zlib/compress.c
     1474@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT compress.lo -MD -MP -MF "$(DEPDIR)/compress.Tpo" -c -o compress.lo `test -f '$(GLPKDIR)/src/zlib/compress.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/zlib/compress.c; \
     1475@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/compress.Tpo" "$(DEPDIR)/compress.Plo"; else rm -f "$(DEPDIR)/compress.Tpo"; exit 1; fi
     1476@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/zlib/compress.c' object='compress.lo' libtool=yes @AMDEPBACKSLASH@
     1477@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     1478@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o compress.lo `test -f '$(GLPKDIR)/src/zlib/compress.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/zlib/compress.c
     1479
     1480crc32.lo: $(GLPKDIR)/src/zlib/crc32.c
     1481@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT crc32.lo -MD -MP -MF "$(DEPDIR)/crc32.Tpo" -c -o crc32.lo `test -f '$(GLPKDIR)/src/zlib/crc32.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/zlib/crc32.c; \
     1482@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/crc32.Tpo" "$(DEPDIR)/crc32.Plo"; else rm -f "$(DEPDIR)/crc32.Tpo"; exit 1; fi
     1483@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/zlib/crc32.c' object='crc32.lo' libtool=yes @AMDEPBACKSLASH@
     1484@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     1485@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o crc32.lo `test -f '$(GLPKDIR)/src/zlib/crc32.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/zlib/crc32.c
     1486
     1487deflate.lo: $(GLPKDIR)/src/zlib/deflate.c
     1488@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT deflate.lo -MD -MP -MF "$(DEPDIR)/deflate.Tpo" -c -o deflate.lo `test -f '$(GLPKDIR)/src/zlib/deflate.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/zlib/deflate.c; \
     1489@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/deflate.Tpo" "$(DEPDIR)/deflate.Plo"; else rm -f "$(DEPDIR)/deflate.Tpo"; exit 1; fi
     1490@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/zlib/deflate.c' object='deflate.lo' libtool=yes @AMDEPBACKSLASH@
     1491@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     1492@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o deflate.lo `test -f '$(GLPKDIR)/src/zlib/deflate.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/zlib/deflate.c
     1493
     1494gzclose.lo: $(GLPKDIR)/src/zlib/gzclose.c
     1495@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT gzclose.lo -MD -MP -MF "$(DEPDIR)/gzclose.Tpo" -c -o gzclose.lo `test -f '$(GLPKDIR)/src/zlib/gzclose.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/zlib/gzclose.c; \
     1496@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/gzclose.Tpo" "$(DEPDIR)/gzclose.Plo"; else rm -f "$(DEPDIR)/gzclose.Tpo"; exit 1; fi
     1497@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/zlib/gzclose.c' object='gzclose.lo' libtool=yes @AMDEPBACKSLASH@
     1498@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     1499@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o gzclose.lo `test -f '$(GLPKDIR)/src/zlib/gzclose.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/zlib/gzclose.c
     1500
     1501gzlib.lo: $(GLPKDIR)/src/zlib/gzlib.c
     1502@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT gzlib.lo -MD -MP -MF "$(DEPDIR)/gzlib.Tpo" -c -o gzlib.lo `test -f '$(GLPKDIR)/src/zlib/gzlib.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/zlib/gzlib.c; \
     1503@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/gzlib.Tpo" "$(DEPDIR)/gzlib.Plo"; else rm -f "$(DEPDIR)/gzlib.Tpo"; exit 1; fi
     1504@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/zlib/gzlib.c' object='gzlib.lo' libtool=yes @AMDEPBACKSLASH@
     1505@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     1506@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o gzlib.lo `test -f '$(GLPKDIR)/src/zlib/gzlib.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/zlib/gzlib.c
     1507
     1508gzread.lo: $(GLPKDIR)/src/zlib/gzread.c
     1509@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT gzread.lo -MD -MP -MF "$(DEPDIR)/gzread.Tpo" -c -o gzread.lo `test -f '$(GLPKDIR)/src/zlib/gzread.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/zlib/gzread.c; \
     1510@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/gzread.Tpo" "$(DEPDIR)/gzread.Plo"; else rm -f "$(DEPDIR)/gzread.Tpo"; exit 1; fi
     1511@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/zlib/gzread.c' object='gzread.lo' libtool=yes @AMDEPBACKSLASH@
     1512@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     1513@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o gzread.lo `test -f '$(GLPKDIR)/src/zlib/gzread.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/zlib/gzread.c
     1514
     1515gzwrite.lo: $(GLPKDIR)/src/zlib/gzwrite.c
     1516@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT gzwrite.lo -MD -MP -MF "$(DEPDIR)/gzwrite.Tpo" -c -o gzwrite.lo `test -f '$(GLPKDIR)/src/zlib/gzwrite.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/zlib/gzwrite.c; \
     1517@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/gzwrite.Tpo" "$(DEPDIR)/gzwrite.Plo"; else rm -f "$(DEPDIR)/gzwrite.Tpo"; exit 1; fi
     1518@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/zlib/gzwrite.c' object='gzwrite.lo' libtool=yes @AMDEPBACKSLASH@
     1519@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     1520@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o gzwrite.lo `test -f '$(GLPKDIR)/src/zlib/gzwrite.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/zlib/gzwrite.c
     1521
     1522infback.lo: $(GLPKDIR)/src/zlib/infback.c
     1523@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT infback.lo -MD -MP -MF "$(DEPDIR)/infback.Tpo" -c -o infback.lo `test -f '$(GLPKDIR)/src/zlib/infback.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/zlib/infback.c; \
     1524@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/infback.Tpo" "$(DEPDIR)/infback.Plo"; else rm -f "$(DEPDIR)/infback.Tpo"; exit 1; fi
     1525@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/zlib/infback.c' object='infback.lo' libtool=yes @AMDEPBACKSLASH@
     1526@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     1527@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o infback.lo `test -f '$(GLPKDIR)/src/zlib/infback.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/zlib/infback.c
     1528
     1529inffast.lo: $(GLPKDIR)/src/zlib/inffast.c
     1530@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT inffast.lo -MD -MP -MF "$(DEPDIR)/inffast.Tpo" -c -o inffast.lo `test -f '$(GLPKDIR)/src/zlib/inffast.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/zlib/inffast.c; \
     1531@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/inffast.Tpo" "$(DEPDIR)/inffast.Plo"; else rm -f "$(DEPDIR)/inffast.Tpo"; exit 1; fi
     1532@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/zlib/inffast.c' object='inffast.lo' libtool=yes @AMDEPBACKSLASH@
     1533@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     1534@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o inffast.lo `test -f '$(GLPKDIR)/src/zlib/inffast.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/zlib/inffast.c
     1535
     1536inflate.lo: $(GLPKDIR)/src/zlib/inflate.c
     1537@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT inflate.lo -MD -MP -MF "$(DEPDIR)/inflate.Tpo" -c -o inflate.lo `test -f '$(GLPKDIR)/src/zlib/inflate.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/zlib/inflate.c; \
     1538@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/inflate.Tpo" "$(DEPDIR)/inflate.Plo"; else rm -f "$(DEPDIR)/inflate.Tpo"; exit 1; fi
     1539@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/zlib/inflate.c' object='inflate.lo' libtool=yes @AMDEPBACKSLASH@
     1540@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     1541@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o inflate.lo `test -f '$(GLPKDIR)/src/zlib/inflate.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/zlib/inflate.c
     1542
     1543inftrees.lo: $(GLPKDIR)/src/zlib/inftrees.c
     1544@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT inftrees.lo -MD -MP -MF "$(DEPDIR)/inftrees.Tpo" -c -o inftrees.lo `test -f '$(GLPKDIR)/src/zlib/inftrees.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/zlib/inftrees.c; \
     1545@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/inftrees.Tpo" "$(DEPDIR)/inftrees.Plo"; else rm -f "$(DEPDIR)/inftrees.Tpo"; exit 1; fi
     1546@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/zlib/inftrees.c' object='inftrees.lo' libtool=yes @AMDEPBACKSLASH@
     1547@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     1548@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o inftrees.lo `test -f '$(GLPKDIR)/src/zlib/inftrees.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/zlib/inftrees.c
     1549
     1550trees.lo: $(GLPKDIR)/src/zlib/trees.c
     1551@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trees.lo -MD -MP -MF "$(DEPDIR)/trees.Tpo" -c -o trees.lo `test -f '$(GLPKDIR)/src/zlib/trees.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/zlib/trees.c; \
     1552@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/trees.Tpo" "$(DEPDIR)/trees.Plo"; else rm -f "$(DEPDIR)/trees.Tpo"; exit 1; fi
     1553@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/zlib/trees.c' object='trees.lo' libtool=yes @AMDEPBACKSLASH@
     1554@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     1555@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trees.lo `test -f '$(GLPKDIR)/src/zlib/trees.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/zlib/trees.c
     1556
     1557uncompr.lo: $(GLPKDIR)/src/zlib/uncompr.c
     1558@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT uncompr.lo -MD -MP -MF "$(DEPDIR)/uncompr.Tpo" -c -o uncompr.lo `test -f '$(GLPKDIR)/src/zlib/uncompr.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/zlib/uncompr.c; \
     1559@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/uncompr.Tpo" "$(DEPDIR)/uncompr.Plo"; else rm -f "$(DEPDIR)/uncompr.Tpo"; exit 1; fi
     1560@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/zlib/uncompr.c' object='uncompr.lo' libtool=yes @AMDEPBACKSLASH@
     1561@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     1562@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o uncompr.lo `test -f '$(GLPKDIR)/src/zlib/uncompr.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/zlib/uncompr.c
     1563
     1564zio.lo: $(GLPKDIR)/src/zlib/zio.c
     1565@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT zio.lo -MD -MP -MF "$(DEPDIR)/zio.Tpo" -c -o zio.lo `test -f '$(GLPKDIR)/src/zlib/zio.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/zlib/zio.c; \
     1566@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/zio.Tpo" "$(DEPDIR)/zio.Plo"; else rm -f "$(DEPDIR)/zio.Tpo"; exit 1; fi
     1567@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/zlib/zio.c' object='zio.lo' libtool=yes @AMDEPBACKSLASH@
     1568@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     1569@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o zio.lo `test -f '$(GLPKDIR)/src/zlib/zio.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/zlib/zio.c
     1570
     1571zutil.lo: $(GLPKDIR)/src/zlib/zutil.c
     1572@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT zutil.lo -MD -MP -MF "$(DEPDIR)/zutil.Tpo" -c -o zutil.lo `test -f '$(GLPKDIR)/src/zlib/zutil.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/zlib/zutil.c; \
     1573@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/zutil.Tpo" "$(DEPDIR)/zutil.Plo"; else rm -f "$(DEPDIR)/zutil.Tpo"; exit 1; fi
     1574@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/zlib/zutil.c' object='zutil.lo' libtool=yes @AMDEPBACKSLASH@
     1575@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     1576@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o zutil.lo `test -f '$(GLPKDIR)/src/zlib/zutil.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/zlib/zutil.c
    13951577
    13961578mostlyclean-libtool:
     
    14891671        $(am__remove_distdir)
    14901672        mkdir $(distdir)
    1491         $(mkdir_p) $(distdir)/$(GLPKDIR)/include $(distdir)/$(GLPKDIR)/src/amd $(distdir)/. $(distdir)/BuildTools
     1673        $(mkdir_p) $(distdir)/$(GLPKDIR)/src $(distdir)/$(GLPKDIR)/src/amd $(distdir)/. $(distdir)/BuildTools
    14921674        @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
    14931675        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
  • ThirdParty/Glpk/trunk/coinglpk-uninstalled.pc.in

    r2316 r2639  
    77Version: @PACKAGE_VERSION@
    88Libs: ${libdir}/libcoinglpk.la @GLPK_PCLIBS@
    9 Cflags: -I@ABSBUILDDIR@ -I@abs_source_dir@/glpk/include -I@abs_source_dir@/glpk/src/amd
     9Cflags: -I@ABSBUILDDIR@ -I@abs_source_dir@/glpk/src -I@abs_source_dir@/glpk/src/amd
  • ThirdParty/Glpk/trunk/config_glpk.h.in

    r2425 r2639  
    99/* Define to 1 if GMP is available */
    1010#undef COIN_HAS_GMP
    11 
    12 /* Define to 1 if zlib is available */
    13 #undef COIN_HAS_ZLIB
    1411
    1512/* SVN revision number of project */
     
    8582#undef HAVE_WINDOWS_H
    8683
    87 /* Define to 1 if GNU zlib is available */
    88 #undef HAVE_ZLIB
    89 
    90 /* Define to 1 if you have the <zlib.h> header file. */
    91 #undef HAVE_ZLIB_H
    92 
    9384/* "Set to the name of the MySQL dynamic library" */
    9485#undef MYSQL_DLNAME
  • ThirdParty/Glpk/trunk/configure

    r2623 r2639  
    434434PACKAGE_BUGREPORT='http://projects.coin-or.org/BuildTools/newticket'
    435435
    436 ac_unique_file="glpk/include/glpk.h"
     436ac_unique_file="glpk/src/glpk.h"
    437437ac_default_prefix=`pwd`
    438438# Factoring default headers for most tests.
     
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion GLPK_SVN_REV build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS glpkmajorver glpkminorver COIN_HAS_ZLIB_TRUE COIN_HAS_ZLIB_FALSE GLPKDIR GLPK_PCLIBS LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion GLPK_SVN_REV build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS glpkmajorver glpkminorver GLPKDIR GLPK_PCLIBS LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    10791079                          optimize for fast installation [default=yes]
    10801080  --disable-libtool-lock  avoid locking (might break parallel builds)
    1081   --disable-zlib          do not compile with compression library zlib
    10821081  --disable-gmp           do not compile with GNU multiple precision library
    10831082  --enable-odbc           enable MathProg ODBC support [default=auto]
     
    50495048*-*-irix6*)
    50505049  # Find out which ABI we are using.
    5051   echo '#line 5051 "configure"' > conftest.$ac_ext
     5050  echo '#line 5050 "configure"' > conftest.$ac_ext
    50525051  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    50535052  (eval $ac_compile) 2>&5
     
    66486647
    66496648# Provide some information about the compiler.
    6650 echo "$as_me:6650:" \
     6649echo "$as_me:6649:" \
    66516650     "checking for Fortran 77 compiler version" >&5
    66526651ac_compiler=`set X $ac_compile; echo $2`
     
    77157714   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    77167715   -e 's:$: $lt_compiler_flag:'`
    7717    (eval echo "\"\$as_me:7717: $lt_compile\"" >&5)
     7716   (eval echo "\"\$as_me:7716: $lt_compile\"" >&5)
    77187717   (eval "$lt_compile" 2>conftest.err)
    77197718   ac_status=$?
    77207719   cat conftest.err >&5
    7721    echo "$as_me:7721: \$? = $ac_status" >&5
     7720   echo "$as_me:7720: \$? = $ac_status" >&5
    77227721   if (exit $ac_status) && test -s "$ac_outfile"; then
    77237722     # The compiler can only warn and ignore the option if not recognized
     
    79837982   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    79847983   -e 's:$: $lt_compiler_flag:'`
    7985    (eval echo "\"\$as_me:7985: $lt_compile\"" >&5)
     7984   (eval echo "\"\$as_me:7984: $lt_compile\"" >&5)
    79867985   (eval "$lt_compile" 2>conftest.err)
    79877986   ac_status=$?
    79887987   cat conftest.err >&5
    7989    echo "$as_me:7989: \$? = $ac_status" >&5
     7988   echo "$as_me:7988: \$? = $ac_status" >&5
    79907989   if (exit $ac_status) && test -s "$ac_outfile"; then
    79917990     # The compiler can only warn and ignore the option if not recognized
     
    80878086   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    80888087   -e 's:$: $lt_compiler_flag:'`
    8089    (eval echo "\"\$as_me:8089: $lt_compile\"" >&5)
     8088   (eval echo "\"\$as_me:8088: $lt_compile\"" >&5)
    80908089   (eval "$lt_compile" 2>out/conftest.err)
    80918090   ac_status=$?
    80928091   cat out/conftest.err >&5
    8093    echo "$as_me:8093: \$? = $ac_status" >&5
     8092   echo "$as_me:8092: \$? = $ac_status" >&5
    80948093   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    80958094   then
     
    1043210431  lt_status=$lt_dlunknown
    1043310432  cat > conftest.$ac_ext <<EOF
    10434 #line 10434 "configure"
     10433#line 10433 "configure"
    1043510434#include "confdefs.h"
    1043610435
     
    1053210531  lt_status=$lt_dlunknown
    1053310532  cat > conftest.$ac_ext <<EOF
    10534 #line 10534 "configure"
     10533#line 10533 "configure"
    1053510534#include "confdefs.h"
    1053610535
     
    1287612875   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1287712876   -e 's:$: $lt_compiler_flag:'`
    12878    (eval echo "\"\$as_me:12878: $lt_compile\"" >&5)
     12877   (eval echo "\"\$as_me:12877: $lt_compile\"" >&5)
    1287912878   (eval "$lt_compile" 2>conftest.err)
    1288012879   ac_status=$?
    1288112880   cat conftest.err >&5
    12882    echo "$as_me:12882: \$? = $ac_status" >&5
     12881   echo "$as_me:12881: \$? = $ac_status" >&5
    1288312882   if (exit $ac_status) && test -s "$ac_outfile"; then
    1288412883     # The compiler can only warn and ignore the option if not recognized
     
    1298012979   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1298112980   -e 's:$: $lt_compiler_flag:'`
    12982    (eval echo "\"\$as_me:12982: $lt_compile\"" >&5)
     12981   (eval echo "\"\$as_me:12981: $lt_compile\"" >&5)
    1298312982   (eval "$lt_compile" 2>out/conftest.err)
    1298412983   ac_status=$?
    1298512984   cat out/conftest.err >&5
    12986    echo "$as_me:12986: \$? = $ac_status" >&5
     12985   echo "$as_me:12985: \$? = $ac_status" >&5
    1298712986   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1298812987   then
     
    1455014549   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1455114550   -e 's:$: $lt_compiler_flag:'`
    14552    (eval echo "\"\$as_me:14552: $lt_compile\"" >&5)
     14551   (eval echo "\"\$as_me:14551: $lt_compile\"" >&5)
    1455314552   (eval "$lt_compile" 2>conftest.err)
    1455414553   ac_status=$?
    1455514554   cat conftest.err >&5
    14556    echo "$as_me:14556: \$? = $ac_status" >&5
     14555   echo "$as_me:14555: \$? = $ac_status" >&5
    1455714556   if (exit $ac_status) && test -s "$ac_outfile"; then
    1455814557     # The compiler can only warn and ignore the option if not recognized
     
    1465414653   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1465514654   -e 's:$: $lt_compiler_flag:'`
    14656    (eval echo "\"\$as_me:14656: $lt_compile\"" >&5)
     14655   (eval echo "\"\$as_me:14655: $lt_compile\"" >&5)
    1465714656   (eval "$lt_compile" 2>out/conftest.err)
    1465814657   ac_status=$?
    1465914658   cat out/conftest.err >&5
    14660    echo "$as_me:14660: \$? = $ac_status" >&5
     14659   echo "$as_me:14659: \$? = $ac_status" >&5
    1466114660   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1466214661   then
     
    1686116860   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1686216861   -e 's:$: $lt_compiler_flag:'`
    16863    (eval echo "\"\$as_me:16863: $lt_compile\"" >&5)
     16862   (eval echo "\"\$as_me:16862: $lt_compile\"" >&5)
    1686416863   (eval "$lt_compile" 2>conftest.err)
    1686516864   ac_status=$?
    1686616865   cat conftest.err >&5
    16867    echo "$as_me:16867: \$? = $ac_status" >&5
     16866   echo "$as_me:16866: \$? = $ac_status" >&5
    1686816867   if (exit $ac_status) && test -s "$ac_outfile"; then
    1686916868     # The compiler can only warn and ignore the option if not recognized
     
    1712917128   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1713017129   -e 's:$: $lt_compiler_flag:'`
    17131    (eval echo "\"\$as_me:17131: $lt_compile\"" >&5)
     17130   (eval echo "\"\$as_me:17130: $lt_compile\"" >&5)
    1713217131   (eval "$lt_compile" 2>conftest.err)
    1713317132   ac_status=$?
    1713417133   cat conftest.err >&5
    17135    echo "$as_me:17135: \$? = $ac_status" >&5
     17134   echo "$as_me:17134: \$? = $ac_status" >&5
    1713617135   if (exit $ac_status) && test -s "$ac_outfile"; then
    1713717136     # The compiler can only warn and ignore the option if not recognized
     
    1723317232   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1723417233   -e 's:$: $lt_compiler_flag:'`
    17235    (eval echo "\"\$as_me:17235: $lt_compile\"" >&5)
     17234   (eval echo "\"\$as_me:17234: $lt_compile\"" >&5)
    1723617235   (eval "$lt_compile" 2>out/conftest.err)
    1723717236   ac_status=$?
    1723817237   cat out/conftest.err >&5
    17239    echo "$as_me:17239: \$? = $ac_status" >&5
     17238   echo "$as_me:17238: \$? = $ac_status" >&5
    1724017239   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1724117240   then
     
    2014720146echo "$as_me:$LINENO: checking GLPK version" >&5
    2014820147echo $ECHO_N "checking GLPK version... $ECHO_C" >&6
    20149 glpkmajorver=`awk '/define GLP_MAJOR_VERSION/ {print $3}' $srcdir/glpk/include/glpk.h`
    20150 glpkminorver=`awk '/define GLP_MINOR_VERSION/ {print $3}' $srcdir/glpk/include/glpk.h`
     20148glpkmajorver=`awk '/define GLP_MAJOR_VERSION/ {print $3}' $srcdir/glpk/src/glpk.h`
     20149glpkminorver=`awk '/define GLP_MINOR_VERSION/ {print $3}' $srcdir/glpk/src/glpk.h`
    2015120150echo "$as_me:$LINENO: result: ${glpkmajorver}.${glpkminorver}" >&5
    2015220151echo "${ECHO_T}${glpkmajorver}.${glpkminorver}" >&6
    20153 if test x$glpkmajorver != x4 || ( test x$glpkminorver != x44 && test x$glpkminorver != x45 ); then
    20154   { { echo "$as_me:$LINENO: error: \"Incorrect GLPK version. This build system is made for GLPK 4.44 or 4.45. Please update by rerunning get.GLPK\"" >&5
    20155 echo "$as_me: error: \"Incorrect GLPK version. This build system is made for GLPK 4.44 or 4.45. Please update by rerunning get.GLPK\"" >&2;}
     20152if test x$glpkmajorver != x4 || test x$glpkminorver != x47 ; then
     20153  { { echo "$as_me:$LINENO: error: \"Incorrect GLPK version. This build system is made for GLPK 4.47. Please update by rerunning get.GLPK\"" >&5
     20154echo "$as_me: error: \"Incorrect GLPK version. This build system is made for GLPK 4.47. Please update by rerunning get.GLPK\"" >&2;}
    2015620155   { (exit 1); exit 1; }; }
    2015720156fi
     
    2016920168ac_compiler_gnu=$ac_cv_c_compiler_gnu
    2017020169
    20171 
    20172 
    20173 
    20174 
    20175 
    20176 
    20177 
    20178 coin_has_zlib=no
    20179 
    20180 # Check whether --enable-zlib or --disable-zlib was given.
    20181 if test "${enable_zlib+set}" = set; then
    20182   enableval="$enable_zlib"
    20183   coin_enable_zlib=$enableval
    20184 else
    20185   coin_enable_zlib=yes
    20186 fi;
    20187 
    20188 if test $coin_enable_zlib = yes; then
    20189   #if test x"" = x; then
    20190 #  hdr="#include <zlib.h>"
    20191 #else
    20192 #  hdr=""
    20193 #fi
    20194 #AC_CHECK_HEADERS([zlib.h],[coin_has_zlib=yes],[],[$hdr])
    20195 
    20196 for ac_header in zlib.h
    20197 do
    20198 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
    20199 if eval "test \"\${$as_ac_Header+set}\" = set"; then
    20200   echo "$as_me:$LINENO: checking for $ac_header" >&5
    20201 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
    20202 if eval "test \"\${$as_ac_Header+set}\" = set"; then
    20203   echo $ECHO_N "(cached) $ECHO_C" >&6
    20204 fi
    20205 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
    20206 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
    20207 else
    20208   # Is the header compilable?
    20209 echo "$as_me:$LINENO: checking $ac_header usability" >&5
    20210 echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
    20211 cat >conftest.$ac_ext <<_ACEOF
    20212 /* confdefs.h.  */
    20213 _ACEOF
    20214 cat confdefs.h >>conftest.$ac_ext
    20215 cat >>conftest.$ac_ext <<_ACEOF
    20216 /* end confdefs.h.  */
    20217 $ac_includes_default
    20218 #include <$ac_header>
    20219 _ACEOF
    20220 rm -f conftest.$ac_objext
    20221 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    20222   (eval $ac_compile) 2>conftest.er1
    20223   ac_status=$?
    20224   grep -v '^ *+' conftest.er1 >conftest.err
    20225   rm -f conftest.er1
    20226   cat conftest.err >&5
    20227   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    20228   (exit $ac_status); } &&
    20229          { ac_try='test -z "$ac_c_werror_flag"
    20230                          || test ! -s conftest.err'
    20231   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    20232   (eval $ac_try) 2>&5
    20233   ac_status=$?
    20234   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    20235   (exit $ac_status); }; } &&
    20236          { ac_try='test -s conftest.$ac_objext'
    20237   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    20238   (eval $ac_try) 2>&5
    20239   ac_status=$?
    20240   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    20241   (exit $ac_status); }; }; then
    20242   ac_header_compiler=yes
    20243 else
    20244   echo "$as_me: failed program was:" >&5
    20245 sed 's/^/| /' conftest.$ac_ext >&5
    20246 
    20247 ac_header_compiler=no
    20248 fi
    20249 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
    20250 echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
    20251 echo "${ECHO_T}$ac_header_compiler" >&6
    20252 
    20253 # Is the header present?
    20254 echo "$as_me:$LINENO: checking $ac_header presence" >&5
    20255 echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
    20256 cat >conftest.$ac_ext <<_ACEOF
    20257 /* confdefs.h.  */
    20258 _ACEOF
    20259 cat confdefs.h >>conftest.$ac_ext
    20260 cat >>conftest.$ac_ext <<_ACEOF
    20261 /* end confdefs.h.  */
    20262 #include <$ac_header>
    20263 _ACEOF
    20264 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
    20265   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
    20266   ac_status=$?
    20267   grep -v '^ *+' conftest.er1 >conftest.err
    20268   rm -f conftest.er1
    20269   cat conftest.err >&5
    20270   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    20271   (exit $ac_status); } >/dev/null; then
    20272   if test -s conftest.err; then
    20273     ac_cpp_err=$ac_c_preproc_warn_flag
    20274     ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
    20275   else
    20276     ac_cpp_err=
    20277   fi
    20278 else
    20279   ac_cpp_err=yes
    20280 fi
    20281 if test -z "$ac_cpp_err"; then
    20282   ac_header_preproc=yes
    20283 else
    20284   echo "$as_me: failed program was:" >&5
    20285 sed 's/^/| /' conftest.$ac_ext >&5
    20286 
    20287   ac_header_preproc=no
    20288 fi
    20289 rm -f conftest.err conftest.$ac_ext
    20290 echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
    20291 echo "${ECHO_T}$ac_header_preproc" >&6
    20292 
    20293 # So?  What about this header?
    20294 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
    20295   yes:no: )
    20296     { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
    20297 echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
    20298     { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
    20299 echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
    20300     ac_header_preproc=yes
    20301     ;;
    20302   no:yes:* )
    20303     { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
    20304 echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
    20305     { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
    20306 echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
    20307     { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
    20308 echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
    20309     { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
    20310 echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
    20311     { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
    20312 echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
    20313     { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
    20314 echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
    20315     (
    20316       cat <<\_ASBOX
    20317 ## --------------------------------------------------------------- ##
    20318 ## Report this to http://projects.coin-or.org/BuildTools/newticket ##
    20319 ## --------------------------------------------------------------- ##
    20320 _ASBOX
    20321     ) |
    20322       sed "s/^/$as_me: WARNING:     /" >&2
    20323     ;;
    20324 esac
    20325 echo "$as_me:$LINENO: checking for $ac_header" >&5
    20326 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
    20327 if eval "test \"\${$as_ac_Header+set}\" = set"; then
    20328   echo $ECHO_N "(cached) $ECHO_C" >&6
    20329 else
    20330   eval "$as_ac_Header=\$ac_header_preproc"
    20331 fi
    20332 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
    20333 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
    20334 
    20335 fi
    20336 if test `eval echo '${'$as_ac_Header'}'` = yes; then
    20337   cat >>confdefs.h <<_ACEOF
    20338 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
    20339 _ACEOF
    20340  coin_has_zlib=yes
    20341 fi
    20342 
    20343 done
    20344 
    20345 
    20346 
    20347   if test $coin_has_zlib = yes; then
    20348     echo "$as_me:$LINENO: checking for gzopen in -lz" >&5
    20349 echo $ECHO_N "checking for gzopen in -lz... $ECHO_C" >&6
    20350 if test "${ac_cv_lib_z_gzopen+set}" = set; then
    20351   echo $ECHO_N "(cached) $ECHO_C" >&6
    20352 else
    20353   ac_check_lib_save_LIBS=$LIBS
    20354 LIBS="-lz  $LIBS"
    20355 cat >conftest.$ac_ext <<_ACEOF
    20356 /* confdefs.h.  */
    20357 _ACEOF
    20358 cat confdefs.h >>conftest.$ac_ext
    20359 cat >>conftest.$ac_ext <<_ACEOF
    20360 /* end confdefs.h.  */
    20361 
    20362 /* Override any gcc2 internal prototype to avoid an error.  */
    20363 #ifdef __cplusplus
    20364 extern "C"
    20365 #endif
    20366 /* We use char because int might match the return type of a gcc2
    20367    builtin and then its argument prototype would still apply.  */
    20368 char gzopen ();
    20369 int
    20370 main ()
    20371 {
    20372 gzopen ();
    20373   ;
    20374   return 0;
    20375 }
    20376 _ACEOF
    20377 rm -f conftest.$ac_objext conftest$ac_exeext
    20378 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    20379   (eval $ac_link) 2>conftest.er1
    20380   ac_status=$?
    20381   grep -v '^ *+' conftest.er1 >conftest.err
    20382   rm -f conftest.er1
    20383   cat conftest.err >&5
    20384   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    20385   (exit $ac_status); } &&
    20386          { ac_try='test -z "$ac_c_werror_flag"
    20387                          || test ! -s conftest.err'
    20388   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    20389   (eval $ac_try) 2>&5
    20390   ac_status=$?
    20391   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    20392   (exit $ac_status); }; } &&
    20393          { ac_try='test -s conftest$ac_exeext'
    20394   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    20395   (eval $ac_try) 2>&5
    20396   ac_status=$?
    20397   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    20398   (exit $ac_status); }; }; then
    20399   ac_cv_lib_z_gzopen=yes
    20400 else
    20401   echo "$as_me: failed program was:" >&5
    20402 sed 's/^/| /' conftest.$ac_ext >&5
    20403 
    20404 ac_cv_lib_z_gzopen=no
    20405 fi
    20406 rm -f conftest.err conftest.$ac_objext \
    20407       conftest$ac_exeext conftest.$ac_ext
    20408 LIBS=$ac_check_lib_save_LIBS
    20409 fi
    20410 echo "$as_me:$LINENO: result: $ac_cv_lib_z_gzopen" >&5
    20411 echo "${ECHO_T}$ac_cv_lib_z_gzopen" >&6
    20412 if test $ac_cv_lib_z_gzopen = yes; then
    20413   :
    20414 else
    20415   coin_has_zlib=no
    20416 fi
    20417 
    20418   fi
    20419 
    20420   if test $coin_has_zlib = yes; then
    20421 
    20422                     GLPK_LIBS="-lz $GLPK_LIBS"
    20423                     GLPK_PCLIBS="-lz $GLPK_PCLIBS"
    20424                     GLPK_LIBS_INSTALLED="-lz $GLPK_LIBS_INSTALLED"
    20425 
    20426 
    20427 cat >>confdefs.h <<\_ACEOF
    20428 #define COIN_HAS_ZLIB 1
    20429 _ACEOF
    20430 
    20431   fi
    20432 fi
    20433 
    20434 
    20435 
    20436 if test x$coin_has_zlib = xyes; then
    20437   COIN_HAS_ZLIB_TRUE=
    20438   COIN_HAS_ZLIB_FALSE='#'
    20439 else
    20440   COIN_HAS_ZLIB_TRUE='#'
    20441   COIN_HAS_ZLIB_FALSE=
    20442 fi
    20443 
    20444 
    20445 if test $coin_has_zlib = "yes"; then
    20446 
    20447 cat >>confdefs.h <<\_ACEOF
    20448 #define HAVE_ZLIB 1
    20449 _ACEOF
    20450 
    20451 fi
    2045220170
    2045320171
     
    2247322191Usually this means the macro was only invoked conditionally." >&5
    2247422192echo "$as_me: error: conditional \"am__fastdepCXX\" was never defined.
    22475 Usually this means the macro was only invoked conditionally." >&2;}
    22476    { (exit 1); exit 1; }; }
    22477 fi
    22478 if test -z "${COIN_HAS_ZLIB_TRUE}" && test -z "${COIN_HAS_ZLIB_FALSE}"; then
    22479   { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_ZLIB\" was never defined.
    22480 Usually this means the macro was only invoked conditionally." >&5
    22481 echo "$as_me: error: conditional \"COIN_HAS_ZLIB\" was never defined.
    2248222193Usually this means the macro was only invoked conditionally." >&2;}
    2248322194   { (exit 1); exit 1; }; }
     
    2312122832s,@glpkmajorver@,$glpkmajorver,;t t
    2312222833s,@glpkminorver@,$glpkminorver,;t t
    23123 s,@COIN_HAS_ZLIB_TRUE@,$COIN_HAS_ZLIB_TRUE,;t t
    23124 s,@COIN_HAS_ZLIB_FALSE@,$COIN_HAS_ZLIB_FALSE,;t t
    2312522834s,@GLPKDIR@,$GLPKDIR,;t t
    2312622835s,@GLPK_PCLIBS@,$GLPK_PCLIBS,;t t
  • ThirdParty/Glpk/trunk/configure.ac

    r2425 r2639  
    2121# List one file in the package so that the configure script can test
    2222# whether the package is actually there
    23 AC_CONFIG_SRCDIR(glpk/include/glpk.h)
     23AC_CONFIG_SRCDIR(glpk/src/glpk.h)
    2424
    2525# Where should everything be installed by default?  Here, we want it
     
    5959
    6060AC_MSG_CHECKING([GLPK version])
    61 glpkmajorver=`awk '/define GLP_MAJOR_VERSION/ {print $3}' $srcdir/glpk/include/glpk.h`
    62 glpkminorver=`awk '/define GLP_MINOR_VERSION/ {print $3}' $srcdir/glpk/include/glpk.h`
     61glpkmajorver=`awk '/define GLP_MAJOR_VERSION/ {print $3}' $srcdir/glpk/src/glpk.h`
     62glpkminorver=`awk '/define GLP_MINOR_VERSION/ {print $3}' $srcdir/glpk/src/glpk.h`
    6363AC_MSG_RESULT([${glpkmajorver}.${glpkminorver}])
    64 if test x$glpkmajorver != x4 || ( test x$glpkminorver != x44 && test x$glpkminorver != x45 ); then
    65   AC_MSG_ERROR(["Incorrect GLPK version. This build system is made for GLPK 4.44 or 4.45. Please update by rerunning get.GLPK"])
     64if test x$glpkmajorver != x4 || test x$glpkminorver != x47 ; then
     65  AC_MSG_ERROR(["Incorrect GLPK version. This build system is made for GLPK 4.47. Please update by rerunning get.GLPK"])
    6666fi
    6767AC_SUBST(glpkmajorver)
     
    7373
    7474AC_LANG_PUSH(C)
    75 
    76 AC_COIN_CHECK_GNU_ZLIB(GLPK)
    77 if test $coin_has_zlib = "yes"; then
    78   AC_DEFINE([HAVE_ZLIB], [1], [Define to 1 if GNU zlib is available])
    79 fi
    8075
    8176AC_COIN_CHECK_GMP(Glpk)
  • ThirdParty/Glpk/trunk/get.Glpk

    r2558 r2639  
    22
    33set -e
    4 glpk_ver=4.45
     4glpk_ver=4.47
    55
    66wgetcmd=wget
     
    5555echo "Touch every source file to force rebuild of whole package."
    5656
    57 touch glpk/src/*.c glpk/include/*.h
     57touch glpk/src/*.c glpk/src/*/*.c
    5858
    5959echo " "
  • ThirdParty/Glpk/trunk/glpk.patch

    r1458 r2639  
    11--- glpk/src/glplpx01.c.orig    2009-12-21 10:00:00.000000000 +0100
    22+++ glpk/src/glplpx01.c 2009-12-25 14:36:19.000000000 +0100
    3 @@ -519,7 +519,7 @@
     3@@ -520,7 +520,7 @@
    44       ret = glp_simplex(lp, &parm);
    55       switch (ret)
Note: See TracChangeset for help on using the changeset viewer.